--- old/usr/src/pkg/manifests/system-library-storage-scsi-plugins.mf	Mon Aug  5 17:17:36 2019
+++ new/usr/src/pkg/manifests/system-library-storage-scsi-plugins.mf	Mon Aug  5 17:17:36 2019
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2019 Nexenta Systems, Inc.  All rights reserved.
 #
 
 set name=pkg.fmri value=pkg:/system/library/storage/scsi-plugins@$(PKGVERS)
@@ -36,10 +37,20 @@
 dir path=usr/lib/scsi/plugins/ses
 dir path=usr/lib/scsi/plugins/ses/vendor
 dir path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)
+file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/DELL-MD3060e.so
+file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/Ericsson-SRU-0101.so
+file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/HP.so
+file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LENOVO-D1224J12ESM3P.so
+file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSI-F-SAS3x48Front.so
 file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSILOGIC-SASX28-A.0.so
 file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4400.so
 file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4500.so
 file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN.so
+file path=usr/lib/scsi/plugins/ses/vendor/DELL-MD3060e.so
+file path=usr/lib/scsi/plugins/ses/vendor/Ericsson-SRU-0101.so
+file path=usr/lib/scsi/plugins/ses/vendor/HP.so
+file path=usr/lib/scsi/plugins/ses/vendor/LENOVO-D1224J12ESM3P.so
+file path=usr/lib/scsi/plugins/ses/vendor/LSI-F-SAS3x48Front.so
 file path=usr/lib/scsi/plugins/ses/vendor/LSILOGIC-SASX28-A.0.so
 file path=usr/lib/scsi/plugins/ses/vendor/SUN-Storage-J4400.so
 file path=usr/lib/scsi/plugins/ses/vendor/SUN-Storage-J4500.so
@@ -48,11 +59,62 @@
     name="SCSI/SES plugins"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/DellEMC-Array584EMM.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/Ericsson-KDU-137-976-1.so \
+    target=Ericsson-SRU-0101.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/Ericsson-KDU1370064-1.so \
+    target=HP.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/Ericsson.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/HGST-1ES0034.so \
+    target=HP.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/HGST-2U24_STOR_ENCL.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/HGST-4U60G2_STOR_ENCL.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/HGST-ScaleApex-4U60.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/HPE.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LENOVO-2U24ENCJ12ESM3P.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LENOVO-D1212J12ESM3P.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSI-R-SAS3x48Rear.so \
+    target=LSI-F-SAS3x48Front.so
 link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSILOGIC-SASX28-A.1.so \
     target=LSILOGIC-SASX28-A.0.so
+link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SANDISK-SDIFHS02.so \
+    target=LENOVO-D1224J12ESM3P.so
 link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4200.so \
     target=SUN-Storage-J4400.so
+link path=usr/lib/scsi/plugins/ses/vendor/DellEMC-Array584EMM.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/Ericsson-KDU-137-976-1.so \
+    target=Ericsson-SRU-0101.so
+link path=usr/lib/scsi/plugins/ses/vendor/Ericsson-KDU1370064-1.so \
+    target=HP.so
+link path=usr/lib/scsi/plugins/ses/vendor/Ericsson.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/HGST-1ES0034.so target=HP.so
+link path=usr/lib/scsi/plugins/ses/vendor/HGST-2U24_STOR_ENCL.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/HGST-4U60G2_STOR_ENCL.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/HGST-ScaleApex-4U60.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/HPE.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/LENOVO-2U24ENCJ12ESM3P.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/LENOVO-D1212J12ESM3P.so \
+    target=LENOVO-D1224J12ESM3P.so
+link path=usr/lib/scsi/plugins/ses/vendor/LSI-R-SAS3x48Rear.so \
+    target=LSI-F-SAS3x48Front.so
 link path=usr/lib/scsi/plugins/ses/vendor/LSILOGIC-SASX28-A.1.so \
     target=LSILOGIC-SASX28-A.0.so
+link path=usr/lib/scsi/plugins/ses/vendor/SANDISK-SDIFHS02.so \
+    target=LENOVO-D1224J12ESM3P.so
 link path=usr/lib/scsi/plugins/ses/vendor/SUN-Storage-J4200.so \
     target=SUN-Storage-J4400.so