--- old/usr/src/pkg/manifests/system-test-zfstest.mf	Mon Aug  5 17:17:38 2019
+++ new/usr/src/pkg/manifests/system-test-zfstest.mf	Mon Aug  5 17:17:38 2019
@@ -11,7 +11,7 @@
 
 #
 # Copyright (c) 2012, 2017 by Delphix. All rights reserved.
-# Copyright 2015, 2016 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2017 Nexenta Systems Inc.
 # Copyright 2016, OmniTI Computer Consulting, Inc. All rights reserved.
 #
 
@@ -126,7 +126,6 @@
 dir path=opt/zfs-tests/tests/functional/redundancy
 dir path=opt/zfs-tests/tests/functional/refquota
 dir path=opt/zfs-tests/tests/functional/refreserv
-dir path=opt/zfs-tests/tests/functional/removal
 dir path=opt/zfs-tests/tests/functional/rename_dirs
 dir path=opt/zfs-tests/tests/functional/replacement
 dir path=opt/zfs-tests/tests/functional/reservation
@@ -142,6 +141,7 @@
 dir path=opt/zfs-tests/tests/functional/userquota
 dir path=opt/zfs-tests/tests/functional/utils_test
 dir path=opt/zfs-tests/tests/functional/vdev_zaps
+dir path=opt/zfs-tests/tests/functional/wbc
 dir path=opt/zfs-tests/tests/functional/write_dirs
 dir path=opt/zfs-tests/tests/functional/xattr
 dir path=opt/zfs-tests/tests/functional/zvol
@@ -155,9 +155,22 @@
 dir path=opt/zfs-tests/tests/perf/regression
 dir path=opt/zfs-tests/tests/perf/scripts
 dir path=opt/zfs-tests/tests/stress
-dir path=opt/zfs-tests/tests/stress/races
+dir path=opt/zfs-tests/tests/stress/include
+dir path=opt/zfs-tests/tests/stress/mirror_002
+dir path=opt/zfs-tests/tests/stress/mirror_003
+dir path=opt/zfs-tests/tests/stress/mirror_004
+dir path=opt/zfs-tests/tests/stress/mirror_005
+dir path=opt/zfs-tests/tests/stress/mirror_006
+dir path=opt/zfs-tests/tests/stress/raidz_001
+dir path=opt/zfs-tests/tests/stress/raidz_002
+dir path=opt/zfs-tests/tests/stress/slog_001
+dir path=opt/zfs-tests/tests/stress/slog_002
 file path=opt/zfs-tests/README mode=0444
 file path=opt/zfs-tests/bin/chg_usr_exec mode=0555
+file path=opt/zfs-tests/bin/dataset_create_write_destroy mode=0555
+file path=opt/zfs-tests/bin/dataset_create_write_destroy_acl mode=0555
+file path=opt/zfs-tests/bin/dataset_create_write_destroy_exattr mode=0555
+file path=opt/zfs-tests/bin/dataset_run_xattr mode=0555
 file path=opt/zfs-tests/bin/devname2devid mode=0555
 file path=opt/zfs-tests/bin/dir_rd_update mode=0555
 file path=opt/zfs-tests/bin/dos_ro mode=0555
@@ -176,6 +189,7 @@
 file path=opt/zfs-tests/bin/readmmap mode=0555
 file path=opt/zfs-tests/bin/rename_dir mode=0555
 file path=opt/zfs-tests/bin/rm_lnkcnt_zero_file mode=0555
+file path=opt/zfs-tests/bin/threadsappend mode=0555
 file path=opt/zfs-tests/bin/zfstest mode=0555
 file path=opt/zfs-tests/callbacks/zfs_dbgmsg mode=0555
 file path=opt/zfs-tests/include/commands.cfg mode=0444
@@ -183,7 +197,14 @@
 file path=opt/zfs-tests/include/libtest.shlib mode=0444
 file path=opt/zfs-tests/include/math.shlib mode=0444
 file path=opt/zfs-tests/include/properties.shlib mode=0444
+file path=opt/zfs-tests/runfiles/consistent.functional.cli_root.run mode=0444
+file path=opt/zfs-tests/runfiles/consistent.functional.run mode=0444
+file path=opt/zfs-tests/runfiles/consistent.run mode=0444
+file path=opt/zfs-tests/runfiles/consistent.stress.run mode=0444
 file path=opt/zfs-tests/runfiles/delphix.run mode=0444
+file path=opt/zfs-tests/runfiles/functional.cli_root.run mode=0444
+file path=opt/zfs-tests/runfiles/functional.run mode=0444
+file path=opt/zfs-tests/runfiles/nexenta.run mode=0444
 file path=opt/zfs-tests/runfiles/omnios.run mode=0444
 file path=opt/zfs-tests/runfiles/openindiana.run mode=0444
 file path=opt/zfs-tests/runfiles/perf-regression.run mode=0444
@@ -816,6 +837,8 @@
     mode=0555
 file path=opt/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_010_neg \
     mode=0555
+file path=opt/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_011_pos \
+    mode=0555
 file \
     path=opt/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_common.kshlib \
     mode=0444
@@ -947,6 +970,24 @@
 file \
     path=opt/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_014_pos \
     mode=0555
+file \
+    path=opt/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_015_pos \
+    mode=0555
+file \
+    path=opt/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_016_pos \
+    mode=0555
+file \
+    path=opt/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_017_pos \
+    mode=0555
+file \
+    path=opt/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_018_pos \
+    mode=0555
+file \
+    path=opt/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_019_pos \
+    mode=0555
+file \
+    path=opt/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_020_pos \
+    mode=0555
 file path=opt/zfs-tests/tests/functional/cli_root/zfs_rename/cleanup mode=0555
 file path=opt/zfs-tests/tests/functional/cli_root/zfs_rename/setup mode=0555
 file path=opt/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename.cfg \
@@ -1253,9 +1294,6 @@
     mode=0555
 file path=opt/zfs-tests/tests/functional/cli_root/zpool/zpool_003_pos \
     mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_add/add_nested_replacing_spare \
-    mode=0555
 file path=opt/zfs-tests/tests/functional/cli_root/zpool_add/cleanup mode=0555
 file path=opt/zfs-tests/tests/functional/cli_root/zpool_add/setup mode=0555
 file path=opt/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add.cfg \
@@ -1300,9 +1338,6 @@
 file \
     path=opt/zfs-tests/tests/functional/cli_root/zpool_clear/zpool_clear_003_neg \
     mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_clear/zpool_clear_readonly \
-    mode=0555
 file path=opt/zfs-tests/tests/functional/cli_root/zpool_create/cleanup \
     mode=0555
 file path=opt/zfs-tests/tests/functional/cli_root/zpool_create/setup mode=0555
@@ -1465,44 +1500,11 @@
     mode=0444
 file path=opt/zfs-tests/tests/functional/cli_root/zpool_import/cleanup \
     mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_import/import_cachefile_device_added \
-    mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_import/import_cachefile_device_removed \
-    mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_import/import_cachefile_device_replaced \
-    mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_import/import_cachefile_mirror_attached \
-    mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_import/import_cachefile_mirror_detached \
-    mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_import/import_cachefile_shared_device \
-    mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_import/import_devices_missing \
-    mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_import/import_paths_changed \
-    mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_import/import_rewind_config_changed \
-    mode=0555
-file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_import/import_rewind_device_replaced \
-    mode=0555
 file path=opt/zfs-tests/tests/functional/cli_root/zpool_import/setup mode=0555
 file \
     path=opt/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import.cfg \
     mode=0444
 file \
-    path=opt/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import.kshlib \
-    mode=0444
-file \
     path=opt/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_001_pos \
     mode=0555
 file \
@@ -2167,6 +2169,7 @@
 file path=opt/zfs-tests/tests/functional/mount/cleanup mode=0555
 file path=opt/zfs-tests/tests/functional/mount/setup mode=0555
 file path=opt/zfs-tests/tests/functional/mount/umount_001 mode=0555
+file path=opt/zfs-tests/tests/functional/mount/umount_002 mode=0555
 file path=opt/zfs-tests/tests/functional/mount/umountall_001 mode=0555
 file path=opt/zfs-tests/tests/functional/mv_files/cleanup mode=0555
 file path=opt/zfs-tests/tests/functional/mv_files/mv_files.cfg mode=0444
@@ -2257,42 +2260,6 @@
 file path=opt/zfs-tests/tests/functional/refreserv/refreserv_004_pos mode=0555
 file path=opt/zfs-tests/tests/functional/refreserv/refreserv_005_pos mode=0555
 file path=opt/zfs-tests/tests/functional/refreserv/setup mode=0555
-file path=opt/zfs-tests/tests/functional/removal/cleanup mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal.kshlib mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_all_vdev mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_check_space mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_condense_export \
-    mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_multiple_indirection \
-    mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_remap mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_remap_deadlists \
-    mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_reservation mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_resume_export \
-    mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_sanity mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_add mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_create_fs \
-    mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_dedup mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_export mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_ganging \
-    mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_remap mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_remove mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_scrub mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_send mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_send_recv \
-    mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_snapshot \
-    mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_write mode=0555
-file path=opt/zfs-tests/tests/functional/removal/removal_with_zdb mode=0555
-file path=opt/zfs-tests/tests/functional/removal/remove_mirror mode=0555
-file path=opt/zfs-tests/tests/functional/removal/remove_mirror_sanity \
-    mode=0555
-file path=opt/zfs-tests/tests/functional/removal/remove_raidz mode=0555
 file path=opt/zfs-tests/tests/functional/rename_dirs/cleanup mode=0555
 file path=opt/zfs-tests/tests/functional/rename_dirs/rename_dirs_001_pos \
     mode=0555
@@ -2468,7 +2435,6 @@
 file path=opt/zfs-tests/tests/functional/sparse/sparse_001_pos mode=0555
 file path=opt/zfs-tests/tests/functional/threadsappend/cleanup mode=0555
 file path=opt/zfs-tests/tests/functional/threadsappend/setup mode=0555
-file path=opt/zfs-tests/tests/functional/threadsappend/threadsappend mode=0555
 file path=opt/zfs-tests/tests/functional/threadsappend/threadsappend_001_pos \
     mode=0555
 file path=opt/zfs-tests/tests/functional/truncate/cleanup mode=0555
@@ -2532,6 +2498,27 @@
 file path=opt/zfs-tests/tests/functional/vdev_zaps/vdev_zaps_005_pos mode=0555
 file path=opt/zfs-tests/tests/functional/vdev_zaps/vdev_zaps_006_pos mode=0555
 file path=opt/zfs-tests/tests/functional/vdev_zaps/vdev_zaps_007_pos mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/cleanup mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/setup mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc.cfg mode=0444
+file path=opt/zfs-tests/tests/functional/wbc/wbc.kshlib mode=0444
+file path=opt/zfs-tests/tests/functional/wbc/wbc_001_pos mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_002_pos mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_003_pos mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_004_pos mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_005_neg mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_006_neg mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_007_neg mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_008_pos mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_009_pos mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_010_neg mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_011_neg mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_012_pos mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_013_neg mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_014_pos mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_015_neg mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_016_pos mode=0555
+file path=opt/zfs-tests/tests/functional/wbc/wbc_017_neg mode=0555
 file path=opt/zfs-tests/tests/functional/write_dirs/cleanup mode=0555
 file path=opt/zfs-tests/tests/functional/write_dirs/setup mode=0555
 file path=opt/zfs-tests/tests/functional/write_dirs/write_dirs_001_pos \
@@ -2584,6 +2571,8 @@
     mode=0555
 file path=opt/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_006_pos \
     mode=0555
+file path=opt/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_007_pos \
+    mode=0555
 file path=opt/zfs-tests/tests/functional/zvol/zvol_swap/cleanup mode=0555
 file path=opt/zfs-tests/tests/functional/zvol/zvol_swap/setup mode=0555
 file path=opt/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap.cfg \
@@ -2623,7 +2612,35 @@
 file path=opt/zfs-tests/tests/perf/scripts/io.d mode=0444
 file path=opt/zfs-tests/tests/perf/scripts/prefetch_io.d mode=0444
 file path=opt/zfs-tests/tests/perf/scripts/profile.d mode=0444
-file path=opt/zfs-tests/tests/stress/races/remove_file_while_remap mode=0555
+file path=opt/zfs-tests/tests/stress/include/stress.cfg mode=0444
+file path=opt/zfs-tests/tests/stress/include/stress.kshlib mode=0444
+file path=opt/zfs-tests/tests/stress/mirror_002/cleanup mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_002/mirror_002 mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_002/setup mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_003/cleanup mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_003/mirror_003 mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_003/setup mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_004/cleanup mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_004/mirror_004 mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_004/setup mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_005/cleanup mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_005/mirror_005 mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_005/setup mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_006/cleanup mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_006/mirror_006 mode=0555
+file path=opt/zfs-tests/tests/stress/mirror_006/setup mode=0555
+file path=opt/zfs-tests/tests/stress/raidz_001/cleanup mode=0555
+file path=opt/zfs-tests/tests/stress/raidz_001/raidz_001 mode=0555
+file path=opt/zfs-tests/tests/stress/raidz_001/setup mode=0555
+file path=opt/zfs-tests/tests/stress/raidz_002/cleanup mode=0555
+file path=opt/zfs-tests/tests/stress/raidz_002/raidz_002 mode=0555
+file path=opt/zfs-tests/tests/stress/raidz_002/setup mode=0555
+file path=opt/zfs-tests/tests/stress/slog_001/cleanup mode=0555
+file path=opt/zfs-tests/tests/stress/slog_001/setup mode=0555
+file path=opt/zfs-tests/tests/stress/slog_001/slog_001 mode=0555
+file path=opt/zfs-tests/tests/stress/slog_002/cleanup mode=0555
+file path=opt/zfs-tests/tests/stress/slog_002/setup mode=0555
+file path=opt/zfs-tests/tests/stress/slog_002/slog_002 mode=0555
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
 depend fmri=system/file-system/zfs/tests type=require